import { select, json, geoPath, geoOrthographic } from 'd3';
import {feature } from 'topojson'
const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const projection = geoOrthographic();

const pathGen = geoPath().projection(projection)

svg.append('path').attr('r', pathGen({type:"sphere"}))

json('https://unpkg.com/world-atlas@1.1.4/world/110m.json')

		.then(data => {
 const countries = feature(data, data.objects.countries)
  console.log(countries)
  
  const paths = svg.selectAll('path').data(countries.features)
  		
  paths.enter().append('path')
  .attr('d', d => pathGen(d))
  
})